Subject: Re: bug#68501: Misbehaving of text inside double quotes" " in shell

From: Thomas Wolff <[email-masked]>
Date: Tue, 16 Jan 2024 12:53:57 +0100

Am 16/01/2024 um 11:50 schrieb LitHack:
> Single quote behave normally but double quote is replacing the "$$"
> character with pid of open shell and "$<some text >" would not print
> anything as if it acting as a comment. Basically the problem is that double
> is parsing some of special character which it should not.
> In the attachment you would see hash having "$" in between then and is
> being parsed as mentioned above and hence does not write anything in file.
> Thanks and Regards.
That is normal shell behaviour. $y expands to the value of variable y, 
$j9T of variable j9T etc.
Try setting some variables before to verify. And use single quote for 
every string that should not be expanded.